﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Sockets;
using System.Text;
using System.Threading.Tasks;

namespace SRD_Interface
{
    public class SocketState
    {
        public Socket SocketData { get; set; }
        public int BufferSize { get; set; }
        public byte[] buffer;
        public StringBuilder ReceivedData { get; set; }

        // 생성자
        public SocketState()
        {
            if (BufferSize < 1)
            {
                BufferSize = 256;
            }
            buffer = new byte[BufferSize];
            
            if (ReceivedData == null)
            {
                ReceivedData = new StringBuilder(256);
            }
        }
    }
}
